#Lightroom Dual ISO Plugin

This plugin allows you to convert Dual ISO picture from Lightroom directly to cr2hdr tools.

_Lightroom v4 and more is needed._

***
![Dual ISO Plugin](http://s9.postimg.org/5j1s1559r/cr2hdr_v3_0_beta1.png)
***

__How to use:__

* __Default settings__
    * __Right click__ on one or multiple selected pictures
        * Select : __Dual ISO Converter (cr2hdr)__ _(this option uses default settings, see below)_

* __Custom settings__
    * Launch the Export Window
        * __Right click__ on one or multiple selected pictures
            * Export selected photo(s)
        * Shortcuts
            * _Windows_: __Ctrl + Shift + E__ / _Mac_: __Command + Shift + E__
    * Change what you want

***

__Default settings:__

___> Plugin settings:___

* Add suffix ___-dualiso___ to the output file
* Synchronize keywords with original picture
* Reject original picture (flag unmarked)
* Add converted file to all collections of the original
* No subfolder
* Show summary message
* Keep log file
* No keywords added by user _(Dual-ISO is added by cr2hdr)_
* No label defined

___> cr2hdr settings:___

* --amaze
* --cs2x2
* --no-bad-pix
* --fullres
* --alias-map
* --stripe-fix
* --wb=graymax _(cr2hdr 20bit)_

This plugin is translate in english, french, german, portuguese and swedish. _(feel free to send me a translated file)._

***

## Download the latest stable version [Lightroom Dual ISO Converter 2.1](https://bitbucket.org/kichetof/lr_cr2hdr/downloads/cr2hdr.2.1.zip)

###/!\ BETA /!\ Download the lastest version of [Lightroom Dual ISO Converter (cr2hdr) plugin (v3.0 BETA1)](https://bitbucket.org/kichetof/lr_cr2hdr/downloads/cr2hdr.3.0-BETA1.zip).

***

__How the plugin works:__

* Pictures selected to export are __listed__
* Only __CR2__ and __DNG__ files are supported _(if file is not present, skip)_
* Each picture, one by one is converted with cr2hdr _(with defaults or custom args)_
    * if cr2hdr 20bit and --same-levels are selected, all pictures are converted in the same time
* Picture is moved to subfolder
* Picture is renamed with suffix
* Picture is imported into Lightroom catalog
* Label is added
* Keywords are added _(and created if needed)_
* Synchronize keywords with original file
* Keyword ___Dual ISO raw___ or ___no Dual ISO___ is added to original file
* Parse log file to fill metadata with cr2hdr results
* Add picture to all collections
* Keep or remove log file
* Set the flag of the original file

***

__How to install this plugin:__

To install this plugin, save the file ___cr2hdr.lrplugin___ where you want.

On Lightroom, open the Plug-In Manager _(shortcut Win: __Ctrl + Alt + Shift + , (comma)__, Mac: __Command + Option + Shift + , (comma)__)_ and install it.

You can follow [instructions from Adobe](http://help.adobe.com/en_US/lightroom/using/WSB8C2DF2B-2ED0-4b97-BA18-5DBEDC69E7D9.html).

***

__Mac requirements:__

Install dcraw and exiftool, you can use [this package](https://bitbucket.org/a_d_/magic-lantern/downloads/OSX_cr2hdr.zip) from a\_d\_.

***

Follow the projet on [Magic Lantern Forum](http://www.magiclantern.fm/forum/index.php?topic=11056.msg107262#msg107262).

Contribute to the code on [Bitbucket](https://bitbucket.org/kichetof/lr_cr2hdr).

__This plugin is distributed under the GNU GPL v2.__

***

__Changelogs:__
2014-09-22 v3.0 BETA
* fix bug with subfolder
* fix bug with same-levels

2014-09-13 v3.0 BETA

* Rewrite processing _(no unnecessary export)_
* Update cr2hdr 20bit to 0eabcb0
* cr2hdr 20bit --same-levels argument supported
* Added keywords _Dual ISO raw_ or _no Dual ISO_ to original file (speedup process and sorting in LR)
* Synchronize keywords with original file
* Convert tabs with 4 space
* fix some bugs
* _(change editor text: __Brackets__ before Smultron/TextMate)_
* _(change Mercurial CLI to GUI: TortoiseHG for Mac)_

2014-04-21 - 2014-09-12 v2.2 BETA

* Added cr2hdr args
* Added cr2hdr 20bit support
* Added metadata with cr2hdr results (big thanks __akry__)
* Added keywords
* Added color label
* Added flag rejection
* Restore default plugin settings

2014-03-27 v2.1

* Export to subfolder
* redesign ui

2014-03-26 v2.0.2

* Correct portuguese translation (thanks Luiz)

2014-03-26 v2.0.1

* Remove extern functions
* Works on Windows

2014-03-25 v2.0

* New export window
* DNG file supported
* Custom user settings (suffix, label, add to collection, remove logfile)
* Mac: check dependencies

2014-03-19 v1.0.3

* Fix multiple instance of cr2hdr (thanks Rob Cole from Adobe forums)

2014-03-19 v1.0.2

* Add portuguese translation (thanks Luiz Roberto dos Santos)
* Change output name (solve fotogemeinschaft_de problem with export name)

2014-03-19 v1.0.1

* Add german translation (thanks g3gg0 et Walter)
* Update dcraw (9.20) and exiftool (9.54)
* Windows command run without CMD visible (thanks chris_overseas)

2014-03-18 v1.0

* First release (Mac fully compatible, Windows need some optimisation)
